HDF: java/src/jni/hdfvgroupImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfvgroupImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vstart (JNIEnv *env, jclass clss, jlong fid)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_Vattach (JNIEnv *env, jclass clss, jlong fid, jint vgroup_ref, jstring accessmode)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_Vdetach (JNIEnv *env, jclass clss, jlong vgroup_id)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_Vend (JNIEnv *env, jclass clss, jlong fid)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetid (JNIEnv *env, jclass clss, jlong fid, jint vgroup_ref)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetclass (JNIEnv *env, jclass clss, jlong vgroup_id, jobjectArray hdfclassname)
JNIEXPORT void JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetname (JNIEnv *env, jclass clss, jlong vgroup_id, jobjectArray hdfname)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Visvg (JNIEnv *env, jclass clss, jlong vgroup_id, jint vgroup_ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Visvs (JNIEnv *env, jclass clss, jlong vgroup_id, jint vdata_ref)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vgettagrefs (JNIEnv *env, jclass clss, jlong vgroup_id, jintArray tags, jintArray refs, jint size)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vgettagref (JNIEnv *env, jclass clss, jlong vgroup_id, jint index, jintArray tagref)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vntagrefs (JNIEnv *env, jclass clss, jlong vgroup_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vinqtagref (JNIEnv *env, jclass clss, jlong vgroup_id, jint tag, jint ref)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vlone (JNIEnv *env, jclass clss, jlong fid, jintArray ref_array, jint arraysize)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vaddtagref (JNIEnv *env, jclass clss, jlong vgroup_id, jint tag, jint ref)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vdeletetagref (JNIEnv *env, jclass clss, jlong vgroup_id, jint tag, jint ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vclose_I (JNIEnv *env, jclass clss, jlong file_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vfind (JNIEnv *env, jclass clss, jlong file_id, jstring vgname)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vfindclass (JNIEnv *env, jclass clss, jlong file_id, jstring vgclassname)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vflocate (JNIEnv *env, jclass clss, jint key, jstring field)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetnext (JNIEnv *env, jclass clss, jint vkey, jint elem_ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vinquire (JNIEnv *env, jclass clss, jlong vgroup_id, jintArray n_entries, jobjectArray vgroup_name)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vinsert (JNIEnv *env, jclass clss, jlong vgroup_id, jint v_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vnrefs (JNIEnv *env, jclass clss, jint vkey, jint tag)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vopen (JNIEnv *env, jclass clss, jstring filename, jint access, jshort ndds)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vsetclass (JNIEnv *env, jclass clss, jlong vgroup_id, jstring hdfclassname)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vsetname (JNIEnv *env, jclass clss, jlong vgroup_id, jstring name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vattrinfo (JNIEnv *env, jclass clss, jlong id, jint index, jobjectArray name, jintArray argv)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vfindattr (JNIEnv *env, jclass clss, jlong id, jstring name)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetattr (JNIEnv *env, jclass clss, jlong gr_id, jint attr_index, jbyteArray values)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vgetversion (JNIEnv *env, jclass clss, jlong id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_Vnattrs (JNIEnv *env, jclass clss, jlong id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JILjava_lang_String_2 (JNIEnv *env, jclass clss, jlong gr_id, jstring attr_name, jlong data_type, jint count, jstring values)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JI_3B (JNIEnv *env, jclass clss, jlong id, jstring attr_name, jlong data_type, jint count, jbyteArray values)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_Vaddtagref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vaddtagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | tag,
|  | jint | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vattach()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_Vattach | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jint | vgroup_ref,
|  | jstring | accessmode )

## ◆ Java_hdf_hdflib_HDFLibrary_Vattrinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vattrinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jint | index,
|  | jobjectArray | name,
|  | jintArray | argv )

## ◆ Java_hdf_hdflib_HDFLibrary_Vclose_I()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vclose_I | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id )

## ◆ Java_hdf_hdflib_HDFLibrary_Vdeletetagref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vdeletetagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | tag,
|  | jint | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vdetach()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_Vdetach | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id )

## ◆ Java_hdf_hdflib_HDFLibrary_Vend()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_Vend | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid )

## ◆ Java_hdf_hdflib_HDFLibrary_Vfind()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vfind | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id,
|  | jstring | vgname )

## ◆ Java_hdf_hdflib_HDFLibrary_Vfindattr()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vfindattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jstring | name )

## ◆ Java_hdf_hdflib_HDFLibrary_Vfindclass()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vfindclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id,
|  | jstring | vgclassname )

## ◆ Java_hdf_hdflib_HDFLibrary_Vflocate()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vflocate | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | key,
|  | jstring | field )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetattr()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vgetattr | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jint | attr_index,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetclass()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_Vgetclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jobjectArray | hdfclassname )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetid()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_Vgetid | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jint | vgroup_ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetname()

JNIEXPORT void JNICALL Java_hdf_hdflib_HDFLibrary_Vgetname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jobjectArray | hdfname )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetnext()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vgetnext | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | vkey,
|  | jint | elem_ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgettagref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vgettagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | index,
|  | jintArray | tagref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgettagrefs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vgettagrefs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jintArray | tags,
|  | jintArray | refs,
|  | jint | size )

## ◆ Java_hdf_hdflib_HDFLibrary_Vgetversion()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vgetversion | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id )

## ◆ Java_hdf_hdflib_HDFLibrary_Vinqtagref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vinqtagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | tag,
|  | jint | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vinquire()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vinquire | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jintArray | n_entries,
|  | jobjectArray | vgroup_name )

## ◆ Java_hdf_hdflib_HDFLibrary_Vinsert()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vinsert | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | v_id )

## ◆ Java_hdf_hdflib_HDFLibrary_Visvg()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Visvg | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | vgroup_ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Visvs()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Visvs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jint | vdata_ref )

## ◆ Java_hdf_hdflib_HDFLibrary_Vlone()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vlone | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid,
|  | jintArray | ref_array,
|  | jint | arraysize )

## ◆ Java_hdf_hdflib_HDFLibrary_Vnattrs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vnattrs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id )

## ◆ Java_hdf_hdflib_HDFLibrary_Vnrefs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vnrefs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | vkey,
|  | jint | tag )

## ◆ Java_hdf_hdflib_HDFLibrary_Vntagrefs()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vntagrefs | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id )

## ◆ Java_hdf_hdflib_HDFLibrary_Vopen()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_Vopen | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jstring | filename,
|  | jint | access,
|  | jshort | ndds )

## ◆ Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JI_3B()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JI_3B | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | id,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jbyteArray | values )

## ◆ Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JILjava_lang_String_2()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vsetattr__JLjava_lang_String_2JILjava_lang_String_2 | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | gr_id,
|  | jstring | attr_name,
|  | jlong | data_type,
|  | jint | count,
|  | jstring | values )

## ◆ Java_hdf_hdflib_HDFLibrary_Vsetclass()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vsetclass | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jstring | hdfclassname )

## ◆ Java_hdf_hdflib_HDFLibrary_Vsetname()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vsetname | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | vgroup_id,
|  | jstring | name )

## ◆ Java_hdf_hdflib_HDFLibrary_Vstart()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_Vstart | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | fid )